For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer GuidesThreads APIAccount Management APIAnalytics API
Developer GuidesThreads APIAccount Management APIAnalytics API
  • Threads
    • GETList Threads
    • POSTCreate Thread
    • DELDelete Thread
    • PATCHUpdate Thread
    • GETList Messages
    • POSTSend Message
    • GETGet Thread Progress
    • DELCancel Thread Task
    • POSTUpload File
    • GETGet Artifact
    • GETStream Thread Events
LogoLogo
Threads

Delete Thread

DELETE
https://sandbox.api.boosted.ai/v2/threads/:thread_id
DELETE
/v2/threads/:thread_id
$curl -X DELETE https://sandbox.api.boosted.ai/v2/threads/thread_id \
> -H "Authorization: Bearer <token>"
1{
2 "success": true
3}

Delete a thread permanently.

This endpoint deletes a thread and all its associated messages and data. Once deleted, the thread cannot be recovered. The endpoint returns the success status of the operation.

Was this page helpful?
Previous

Update Thread

Next
Built with

Authentication

AuthorizationBearer
OAuth2 access token obtained via token exchange.

Path parameters

thread_idstringRequired

Response

Successful Response
successboolean

Errors

422
Unprocessable Entity Error